{ config, lib, pkgs, ... }:

{
  home.packages = with pkgs; [
    guix
    guile
    python3
    ruff
    (sbcl.withPackages (ps: with ps; [
      cffi
      arrow-macros
      alexandria
      serapeum
    ]))
    ccl
    ecl
    racket
    ruby
    ruby-lsp
    gdu
    cljfmt
    libxml2
    nixfmt-rfc-style
    php
    rustup
    shfmt
    html-tidy
    openal
    procs

    jre

    tree-sitter
    (tree-sitter.withPlugins (_: tree-sitter.allGrammars))
  ];

  home.file.".sbclrc".source = ../../homes/emenel/dotfiles/dot_sbclrc;

}
